<%= simple_form_for @tools_cause, method: :patch do |f| %>
  <% Tools::Cause.statuses.keys.each do |status| %>
    <%= f.radio_button :status, status %>
    <%#= f.label status.to_sym, class: "color-status-#{status}" %>
    <%= f.label t("simple_form.options.tools_cause.status.#{status}"), class: "color-status-#{status}" %>
  <% end %>
  <a href="#" id='valid-cause-status' class='btn btn-outline-dark'>valid</a>
<% end %>

<script text="javascript">
  $(function(){
    $('#valid-cause-status').on('click', function(){
      value_selected = $('input[name="tools_cause[status]"]:checked', '#edit_tools_cause_<%= @tools_cause.id %>').val()
      // console.log(value_selected);

      let url = "<%= tools_cause_path(@tools_cause) %>"
      let datas = {};
      datas = {'tools_cause': { 'status': value_selected } }
      $.ajax({
        url: url,
        type: 'PATCH',
        data: datas,
        beforeSend: function(xhr) {xhr.setRequestHeader('X-CSRF-Token', $('meta[name="csrf-token"]').attr('content'));},
      });

      return false;
    });
  })
</script>
